Bug 961609 - abrt should be able to report rawhide issues
abrt should be able to report rawhide issues
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 01:17 EDT by Christopher Meng
Modified: 2013-08-06 08:29 EDT (History)
8 users (show)

See Also:
Fixed In Version: abrt-2.1.5-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-06 08:29:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-05-10 01:17:59 EDT
Here is the result when running report_Bugzilla

---

Logging into Bugzilla at https://bugzilla.redhat.com
Checking for duplicates
Creating a new bug
fatal: RPC failed at server.  There is no version named '20' in the 'Fedora' product.
('report_Bugzilla' exited with 1)

In fact there is only rawhide but not 20.

So where cause the problem?
Comment 1 Kevin Fenzi 2013-05-21 19:25:57 EDT
Fedora doesn't create a version for a new release until it's been branched off rawhide. 

Currently, rawhide is pointing to version '20', but once we branch for 20, it will point to 21. 

There needs to be some way that abrt can see that it's running on rawhide and report to rawhide. 

perhaps look at version in /etc/os-release for 'Rawhide' (as thats always it's name).
Comment 2 Jakub Filak 2013-05-22 04:04:58 EDT
(In reply to Kevin Fenzi from comment #1)

ABRT looks at the REDHAT_BUGZILLA_PRODUCT_VERSION field in /etc/os-release.
If the field is not present, ABRT takes a value of the VERSION_ID field.
I've already filed bug #961477 for this issue.
Comment 3 Kevin Fenzi 2013-05-22 10:29:23 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.